/** 
 ****************************************************************************
 *
 * ServiceB service
 *
 * @file    ServiceBImpl.cpp
 *
 * @author  Charles Halliday
 *
 * @date    15 June 2010
 *
 ****************************************************************************
 */

#include "ServiceBImpl.hpp"

#include <iostream>
#include <signal.h>

using namespace ::com::sun::star::lang;
using namespace ::com::sun::star::uno;
using namespace ::rtl;
using namespace ::std;

namespace {
  using namespace ::test;

}

namespace test {

  ServiceBImpl::ServiceBImpl(
    Reference< XComponentContext > const & xComponentContext)
    : ServiceBImplBase::ServiceBImplBase(xComponentContext)
  {
  }

  ServiceBImpl::~ServiceBImpl()
  {
  }

  // Interface com.sun.star.lang.XInitialization

  // Method of com.sun.star.lang.XInitialization
  void SAL_CALL
  ServiceBImpl::initialize(
    const Sequence< Any >& aArguments )
    throw (
      Exception,
      RuntimeException )
  {
  }

  // Interface com.sun.star.lang.XMain

  // Method of com.sun.star.lang.XMain
  sal_Int32 SAL_CALL
  ServiceBImpl::run(
    const Sequence< OUString >& aArguments )
    throw ( RuntimeException )
  {
    sal_Int32 returnValue = 0;
    cerr << __PRETTY_FUNCTION__
	 << " entered, committing suicide"
	 << endl;
    raise(SIGKILL);
    return returnValue;
  }

  // Additional class member implementations


} // namespace close

