/** 
 ****************************************************************************
 *
 * ServiceC service
 *
 * @file    ServiceCImpl.cpp
 *
 * @author  Charles Halliday
 *
 * @date    15 June 2010
 *
 ****************************************************************************
 */

#include "ServiceCImpl.hpp"

#include <iostream>

using namespace ::com::sun::star::lang;
using namespace ::com::sun::star::uno;
using namespace ::rtl;
using namespace ::std;

namespace {
  using namespace ::test;

}

namespace test {

  ServiceCImpl::ServiceCImpl(
    Reference< XComponentContext > const & xComponentContext)
    : ServiceCImplBase::ServiceCImplBase(xComponentContext)
  {
  }

  ServiceCImpl::~ServiceCImpl()
  {
  }

  // Interface com.sun.star.lang.XInitialization

  // Method of com.sun.star.lang.XInitialization
  void SAL_CALL
  ServiceCImpl::initialize(
    const Sequence< Any >& aArguments )
    throw (
      Exception,
      RuntimeException )
  {
  }

  // Interface com.sun.star.lang.XMain

  // Method of com.sun.star.lang.XMain
  sal_Int32 SAL_CALL
  ServiceCImpl::run(
    const Sequence< OUString >& aArguments )
    throw ( RuntimeException )
  {
    sal_Int32 returnValue = 0;
    cerr << __PRETTY_FUNCTION__
	 << " entered"
	 << endl;
    return returnValue;
  }

  // Additional class member implementations


} // namespace close

