#!/bin/ksh

if [ $# -ne 3 ] ; then
  echo "$0: requires 3 args: service port registry"
fi
SERVICE=$1
PORT=$2
REGISTRY=$3

uno \
    -u "uno:socket,host=127.0.0.1,port=$PORT;urp;$SERVICE" \
    -s $SERVICE \
    -ro $OO_SDK_URE_HOME/share/misc/services.rdb \
    -ro $OO_SDK_URE_HOME/share/misc/types.rdb \
    -ro $REGISTRY \
    --singleinstance &

echo "$! $SERVICE $PORT"
